New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Unable to build documentation with Python 3 #912

Closed
ghoshbishakh opened this Issue Feb 12, 2016 · 4 comments

Comments

Projects
None yet
3 participants
@ghoshbishakh
Member

ghoshbishakh commented Feb 12, 2016

make html only works with python 2 and when dipy is installed with python 2

@theaverageguy

This comment has been minimized.

Contributor

theaverageguy commented Mar 21, 2016

How do we fix this? Any hints ?

@arokem

This comment has been minimized.

Member

arokem commented Mar 21, 2016

First, we probably wait for VTK to be easily available on Python 3 (e.g. through conda). Then, it's actually pretty straightforward. There are just a few small things that are py2-centric.

@ghoshbishakh

This comment has been minimized.

Member

ghoshbishakh commented Mar 21, 2016

actually it is not that simple. I was looking at it for quite a few days and could not manage to get the api generation script to work properly.

specifically apigen.py

@arokem

This comment has been minimized.

Member

arokem commented Mar 21, 2016

Huh. Maybe we kick this one a bit further down the road?

On Mon, Mar 21, 2016 at 10:22 AM, Bishakh Ghosh notifications@github.com
wrote:

actually it is not that simple. I was looking at it for quite a few days
and could not manage to get the api generation script to work properly.

specifically apigen.py


You are receiving this because you commented.
Reply to this email directly or view it on GitHub
#912 (comment)

ghoshbishakh added a commit to ghoshbishakh/dipy that referenced this issue Jun 28, 2016

Change apigen.py for python3 support
And minor PEP8 changes
fixes nipy#912

ghoshbishakh added a commit to ghoshbishakh/dipy that referenced this issue Jul 23, 2016

Change apigen.py for python3 support
And minor PEP8 changes
fixes nipy#912

ghoshbishakh added a commit to ghoshbishakh/dipy that referenced this issue Jul 24, 2016

Change apigen.py for python3 support
And minor PEP8 changes
fixes nipy#912

ghoshbishakh added a commit to ghoshbishakh/dipy that referenced this issue Jul 29, 2016

Change apigen.py for python3 support
And minor PEP8 changes
fixes nipy#912

@arokem arokem closed this in #1091 Aug 2, 2016

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment